## forensic-artifacts 20161022

=== requirements.txt ===
PyYAML==3.11
yapf==0.10.0

=== debian/changelog ===
forensic-artifacts (20161022-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop Python3 requirement to 3.4.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 13 Jan 2017 21:40:21 +0000

forensic-artifacts (20161022-1) unstable; urgency=medium

  * Initial release. (Closes: #848048)

 -- Sascha Steinbiss <satta@debian.org>  Tue, 13 Dec 2016 16:00:09 +0100

=== debian/control ===
Source: forensic-artifacts
Section: misc
Priority: optional
Maintainer: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-yaml,
               python3-yaml,
               yapf,
               yapf3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/forensic-artifacts.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/forensic-artifacts.git
Homepage: https://github.com/ForensicArtifacts/artifacts

Package: python-artifacts
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         forensic-artifacts (= ${binary:Version})
Description: knowledge base of forensic artifacts (Python 2)
 A free, community-sourced, machine-readable knowledge base of forensic
 artifacts that the world can use both as an information source and within
 other tools.
 .
 This package installs the Python 2 version.

Package: forensic-artifacts
Architecture: all
Depends: ${misc:Depends}
Description: knowledge base of forensic artifacts (data files)
 A free, community-sourced, machine-readable knowledge base of forensic         
 artifacts that the world can use both as an information source and within      
 other tools.                                                                   
 .                                                                              
 This package installs the data files alone, without the Python toolkit.

Package: python3-artifacts
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         forensic-artifacts (= ${binary:Version})
Description: knowledge base of forensic artifacts (Python 3)
 A free, community-sourced, machine-readable knowledge base of forensic
 artifacts that the world can use both as an information source and within
 other tools.      
 .                                                                              
 This package installs the Python 3 version.

## forensic-artifacts 20170618

=== debian/changelog ===
forensic-artifacts (20170618-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 07 Jul 2017 11:51:12 +0200

forensic-artifacts (20170618-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 20 Jun 2017 10:45:46 +0200

forensic-artifacts (20170522-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 10:59:36 +0000

forensic-artifacts (20170522-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches, adjust paths.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 29 May 2017 17:09:14 +0200

forensic-artifacts (20170513-1) experimental; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 17 May 2017 11:35:59 +0200

## forensic-artifacts 20170808

=== requirements.txt ===
pip >= 7.0.0
pytest
yapf
PyYAML >= 3.10

=== debian/changelog ===
forensic-artifacts (20170808-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 12 Aug 2017 14:11:20 -0400

forensic-artifacts (20170806-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 07 Aug 2017 16:09:32 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                yapf,
                yapf3
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+X-Python3-Version: >= 3.5
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/forensic-artifacts.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/forensic-artifacts.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = artifacts

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## forensic-artifacts 20190113

=== debian/changelog ===
forensic-artifacts (20190113-1) unstable; urgency=medium

  * Team upload
  * New upstream version 20190113
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Update patches

 -- Hilko Bengen <bengen@debian.org>  Wed, 16 Jan 2019 08:52:35 +0100

forensic-artifacts (20170808-3) unstable; urgency=medium

  * Change maintainer to Security Tools Team.
  * Add myself to uploaders.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 01 Dec 2018 12:06:11 +0000

forensic-artifacts (20170808-2) unstable; urgency=medium

  * Use Salsa Vcs-* entries.
  * Bump Standards-Version.
  * Remove unnecessary X-Python*-Version entries.
  * Use debhelper 11.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 01 Aug 2018 22:52:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: forensic-artifacts
 Section: misc
 Priority: optional
-Maintainer: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Sascha Steinbiss <satta@debian.org>
+Build-Depends: debhelper (>= 12),
                dh-python,
                python-all,
                python-setuptools,
@@ -12,11 +13,9 @@
                python3-yaml,
                yapf,
                yapf3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.5
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/forensic-artifacts.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/forensic-artifacts.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/pkg-security-team/forensic-artifacts.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/forensic-artifacts
 Homepage: https://github.com/ForensicArtifacts/artifacts
 
 Package: python-artifacts

## forensic-artifacts 20190320

=== debian/changelog ===
forensic-artifacts (20190320-3) unstable; urgency=medium

  * Source upload to unstable to enable testing migration.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 19 Sep 2019 22:37:23 +0200

forensic-artifacts (20190320-2) unstable; urgency=medium

  * Drop support for Python 2.
  * Bump Standards-Version.
  * Remove trailing whitespace in d/control.
  * Add Python autopkgtest definition.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 14 Sep 2019 09:55:16 +0200

forensic-artifacts (20190320-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 10 Jul 2019 18:02:26 +0200

=== debian/control ===
Source: forensic-artifacts
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-yaml,
               yapf3
Standards-Version: 4.4.0
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/pkg-security-team/forensic-artifacts.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/forensic-artifacts
Homepage: https://github.com/ForensicArtifacts/artifacts

Package: forensic-artifacts
Architecture: all
Depends: ${misc:Depends}
Description: knowledge base of forensic artifacts (data files)
 A free, community-sourced, machine-readable knowledge base of forensic
 artifacts that the world can use both as an information source and within
 other tools.
 .
 This package installs the data files alone, without the Python toolkit.

Package: python3-artifacts
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         forensic-artifacts (= ${binary:Version})
Description: knowledge base of forensic artifacts (Python 3)
 A free, community-sourced, machine-readable knowledge base of forensic
 artifacts that the world can use both as an information source and within
 other tools.
 .
 This package installs the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = artifacts

%:
	dh $@ --with python3 --buildsystem=pybuild

## forensic-artifacts 20201106

=== debian/changelog ===
forensic-artifacts (20201106-1) unstable; urgency=medium

  * Team Upload

  [ Samuel Henrique ]
  * New upstream version 20201106
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/control: Add 'Rules-Requires-Root: no'

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Apply multi-arch hints. + forensic-artifacts: Add Multi-Arch: foreign.
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Henrique <samueloph@debian.org>  Wed, 03 Feb 2021 00:48:23 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-yaml,
                yapf3
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/pkg-security-team/forensic-artifacts.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/forensic-artifacts
@@ -18,6 +19,7 @@
 Package: forensic-artifacts
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: knowledge base of forensic artifacts (data files)
  A free, community-sourced, machine-readable knowledge base of forensic
  artifacts that the world can use both as an information source and within

## forensic-artifacts 20211012

=== debian/changelog ===
forensic-artifacts (20211012-1) unstable; urgency=medium

  * Team Upload

  * Import new upstream (pre-)release 20211012.
    + Refresh sole patch.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Add "/*.egg-info/" to debian/clean to be able to build twice in a row.
  * Mark d/patches/exclude-yaml-from-modules.patch as debian-specific.

 -- Axel Beckert <abe@debian.org>  Mon, 25 Oct 2021 20:17:35 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-yaml,
                yapf3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/pkg-security-team/forensic-artifacts.git

## forensic-artifacts 20220219

=== debian/changelog ===
forensic-artifacts (20220219-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 16 Apr 2022 12:23:53 +0200

## forensic-artifacts 20221219

=== docs/requirements.txt ===
docutils
Markdown
recommonmark
sphinx >= 4.1.0, < 5.2.0
sphinx-markdown-tables
sphinx-rtd-theme >= 0.5.1

=== debian/changelog ===
forensic-artifacts (20221219-1) unstable; urgency=medium

  * New upstream release.
  * Enable tests.
  * Bump Standards-Version.
  * Update d/changelog dates.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 27 Dec 2022 15:53:01 +0100

forensic-artifacts (20221012-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 21 Nov 2022 17:35:36 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-yaml,
                yapf3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/pkg-security-team/forensic-artifacts.git

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,8 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	python3 -m unittest tests/*.py
+endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/artifacts-$1\.tar\.gz/ \
  https://github.com/ForensicArtifacts/artifacts/tags .*/v?(\d\S+)\.tar\.gz

## forensic-artifacts 20230413

=== debian/changelog ===
forensic-artifacts (20230413-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Update d/copyright dates.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 01 Jul 2023 10:05:54 +0200

## forensic-artifacts 20230928

=== requirements.txt ===
pip >= 7.0.0
PyYAML >= 3.10

=== docs/requirements.txt ===
docutils
Markdown
recommonmark
sphinx >= 4.1.0
sphinx-markdown-tables
sphinx-rtd-theme >= 0.5.1

=== debian/changelog ===
forensic-artifacts (20230928-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright dates.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Jan 2024 18:19:57 +0100

forensic-artifacts (20230723-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 11 Sep 2023 16:34:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-yaml,
                yapf3
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/pkg-security-team/forensic-artifacts.git
